package de.ivu.elect.presentation.statistik.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.AbstractSubMenuEntry;
import de.ivu.elect.jee.presentation.menu.MenuEntry;

/**
 *  on 19.07.2016.
 */
public class StatistikMainMenuEntry extends AbstractSubMenuEntry {

  @Inject
  StatistikPageMenu statistikPageMenu;

  @Override
  protected List<MenuEntry> getSubMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();
    result.addAll(statistikPageMenu.getMenuEntriesSorted());
    return result;
  }

  protected void addAdditionalEntries(List<MenuEntry> result) {
    //
  }

  @Override
  public String getLabelKey() {
    return "statistik.main.menu.label";
  }
}
